org.codehaus.groovy.antlr

## Interface SourceInfo

All Known Implementing Classes:
  GroovySourceAST, GroovySourceToken

    public interface SourceInfo

### Method Summary

Methods
`int` `getColumn()` get starting column
`int` `getColumnLast()` get ending column
`int` `getLine()` get start line
`int` `getLineLast()` get ending line
`void` `setColumn(int c)` set start column
`void` `setColumnLast(int colLast)` set ending column
`void` `setLine(int l)` set start line
`void` `setLineLast(int lineLast)` set ending line

### Method Detail

#### getLine

    int getLine()

get start line

Returns:
  the starting line

#### setLine

    void setLine(int l)

set start line

Parameters:
  `l` - the line

#### getColumn

    int getColumn()

get starting column

Returns:
  the starting column

#### setColumn

    void setColumn(int c)

set start column

Parameters:
  `c` - the column

#### getLineLast

    int getLineLast()

get ending line

Returns:
  the ending line

#### setLineLast

    void setLineLast(int lineLast)

set ending line

Parameters:
  `lineLast` - the line

#### getColumnLast

    int getColumnLast()

get ending column

Returns:
  the ending column

#### setColumnLast

    void setColumnLast(int colLast)

set ending column

Parameters:
  `colLast` - the column